# SourcePath: setserial/20041118dev
Summary: Controls configuration of serial ports.
Name: sony-target-dev-setserial
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-setserial
Version: 2.17
Release: 08000101
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://setserial.sourceforge.net
Source: setserial_%{version}.orig.tar.gz
Patch0: setserial_%{version}-22.diff.gz
Patch1: setserial-2.17-automake.diff.gz
Patch3: setserial-license.patch
Patch4: setserial-devfs.diff
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
Set and/or report the configuration information associated with
a serial port. This information includes what I/O port and which IRQ
a particular serial port is using.

%package -n %{pkgname}
Summary: Controls configuration of serial ports.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Set and/or report the configuration information associated with
a serial port. This information includes what I/O port and which IRQ
a particular serial port is using.


%prep
%setup -q -n setserial-2.17
#%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1

%build
%sony_target_dev_setup
aclocal
automake -a --foreign
autoconf
%sony_target_dev_configure

make all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}
#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d

%sony_target_dev_makeinstall | tee -a build.log

# install -m 755 ../rc.serial %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d/setserial

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/setserial \
        %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_dir}/bin/setserial

%changelog
* Tue Oct 12 2010 Sony Corporation
- Update man/info install path

* Fri Apr 17 2009 Sony Corporation - dev-setserial
- Updated to 6.x

* Fri Apr 28 2005 Sony Corporation - dev-setserial
- change command path

* Tue Feb 01 2005 Sony Corporation - dev-setserial
- delete init.d script

* Thu Nov 18 2004 Sony Corporation - dev-setserial
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-setserial
- Initial build. conformed to 2004-08-25 rule
